Bug 1119644 - Review Request: sqlitebrowser - SQLite Database Browser
Summary: Review Request: sqlitebrowser - SQLite Database Browser
Keywords:
Status: CLOSED DUPLICATE of bug 1173375
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
: 487978 (view as bug list)
Depends On: 1128393 1128394
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 08:16 UTC by Christopher Meng
Modified: 2014-12-24 11:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-12 01:29:24 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-07-15 08:16:32 UTC
Spec URL: http://us-la.cicku.me/sqlitebrowser.spec
SRPM URL: http://us-la.cicku.me/sqlitebrowser-3.2.0-1.fc22.src.rpm
Description: SQLite Database Browser is a high quality, visual, open source tool to create, design, and edit database files compatible with SQLite.

It is for users and developers wanting to create databases, search, and edit 
data. It uses a familiar spreadsheet-like interface, and you don't need to 
learn complicated SQL commands.

Controls and wizards are available for users to:

* Create and compact database files.
* Create, define, modify and delete tables.
* Create, define and delete indexes.
* Browse, edit, add and delete records.
* Search records.
* Import and export records as text.
* Import and export tables from/to CSV files.
* Import and export databases from/to SQL dump files.
* Issue SQL queries and inspect the results.
* Examine a log of all SQL commands issued by the application.
Fedora Account System Username: cicku

Comment 1 Christopher Meng 2014-07-15 08:17:21 UTC
3 libs need to be unbundled. Ask upstream now.

Comment 2 Christopher Meng 2014-07-15 08:18:06 UTC
*** Bug 487978 has been marked as a duplicate of this bug. ***

Comment 3 Sandro Mani 2014-08-10 01:25:30 UTC
Hi Cristopher,

Here is my go at packaging this (all libraries unbundled):

Spec URL: https://smani.fedorapeople.org/review/sqlitebrowser.spec
SRPM URL: https://smani.fedorapeople.org/review/sqlitebrowser-3.2.0-1.fc22.src.rpm

Comment 4 Sandro Mani 2014-09-02 10:02:09 UTC
Hi Cristopher,
Are you still pursuing this?

Comment 5 Sandro Mani 2014-12-12 01:29:24 UTC
Since I haven't heard from you, I assume you are not pursuing this anymore. I'll take over, hope you don't mind.

*** This bug has been marked as a duplicate of bug 1173375 ***

Comment 6 Christopher Meng 2014-12-24 11:46:00 UTC
(In reply to Sandro Mani from comment #5)
> Since I haven't heard from you, I assume you are not pursuing this anymore.
> I'll take over, hope you don't mind.
> 
> *** This bug has been marked as a duplicate of bug 1173375 ***

Ooops, I didn't check my email...

Alright, thanks for packaging it.


Note You need to log in before you can comment on or make changes to this bug.